Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513239 - blocks uipgrade from F26 to F27
Summary: blocks uipgrade from F26 to F27
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gsl
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arthur Mello
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 01:47 UTC by Przemek Klosowski
Modified: 2018-11-30 22:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:06:06 UTC


Attachments (Terms of Use)

Description Przemek Klosowski 2017-11-15 01:47:04 UTC
Description of problem:
dnf system-upgrade fails. The original error message refers to guvcview as well as gsl, but the former can't be selected as a component in Bugzilla, so I selected gsl.

Version-Release number of selected component (if applicable):
guvcview-2.0.4-6.fc26.x86_64
guvcview-2.0.4-6.fc27.x86_64
gsl-2.3-1.fc26.x86_64 

How reproducible: every time


Steps to Reproduce:
1.dnf system-upgrade download --releasever=27 --skip-broken

Actual results:
 Problem 1: problem with installed package guvcview-2.0.4-6.fc26.x86_64
  - package guvcview-2.0.4-6.fc27.x86_64 requires libgsl.so.19()(64bit), but none of the providers can be installed
  - guvcview-2.0.4-6.fc26.x86_64 does not belong to a distupgrade repository
  - gsl-2.3-1.fc26.x86_64 does not belong to a distupgrade repository


Expected results: successful upgrade


Additional info:

Comment 1 Przemek Klosowski 2017-11-15 02:14:45 UTC
The update is also blocked by 

 Problem 2: problem with installed package octave-gsl-2.0.0-2.fc26.x86_64
  - package octave-gsl-2.0.0-2.fc26.x86_64 requires libgsl.so.19()(64bit), but none of the providers can be installed
  - cannot install both gsl-2.4-3.fc27.x86_64 and gsl-2.3-1.fc26.x86_64
  - package gnuradio-3.7.11-5.fc27.x86_64 requires libgsl.so.23()(64bit), but none of the providers can be installed
  - problem with installed package gnuradio-3.7.11-1.fc26.x86_64
  - gnuradio-3.7.11-1.fc26.x86_64 does not belong to a distupgrade repository

also involving gsl.

adding the option --allowerasing  seems to solve those problems, by erasing octave-gsl and guvcview

Comment 2 Orion Poplawski 2017-11-15 16:43:51 UTC
octave-gsl update has been submitted:

https://bodhi.fedoraproject.org/updates/octave-gsl-2.0.0-4.fc27

Comment 3 Scott Cohen 2017-11-21 19:06:41 UTC
This similarly occurs when normally installing the package in Fedora 27:

Error: 
 Problem: conflicting requests
  - nothing provides libgsl.so.19 needed by guvcview-2.0.4-6.fc27.i686
  - nothing provides libgsl.so.19()(64bit) needed by guvcview-2.0.4-6.fc27.x86_64

Comment 4 Ben Cotton 2018-11-27 15:04:26 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 22:06:06 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.